[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.Destroy

Destructor for the class instance.

## Declaration

Source position: graphics.pp line 1362

`public destructor TSharedCustomBitmap.Destroy; override;`

## Description

Destroy is the overridden destructor for TSharedCustomBitmap.

Destroy frees the internal save stream for the class instance. It also calls FreeHandle and FreeImage to free the handle and the raw image data for the shared bitmap. Calls the inherited destructor prior to exiting from the method.

## See also

TSharedCustomBitmap.FreeHandle |  | Frees the Handle and the Palette for the shared Bitmap.
TSharedCustomBitmap.FreeImage |  | Frees raw image data for the shared bitmap and resets its image descriptor.
TSharedRasterImage.Destroy |  | Destructor for the class instance.